Activar creación de múltiples blogs desde WordPress 3.0-dev


Como sabes, WordPress MU y WordPress se fusionarán en la versión 3.0 y, como comentaba Fernando hace un tiempo, esta opción se activará y es totalmente opcional. Si usas la versión en desarrollo (WordPress 3.0), te tenemos una estupenda noticia: ya puedes activar la función de multisitios.

¿Como lo activo?

Antes de hacer esto, comprueba que realmente estas usando WordPress 3.0-dev, ya que este truco no funcionará en otras versiones de WordPress. Una vez que compruebes esto, haz los siguientes pasos:

1) Abre tu wp-config.php y añade esta linea:
define ('MULTISITE', true);
Una vez que guardes los cambios, ingresa o recarga tu panel de administración. Ahora la opción para crear múltipes blogs se encuentra activa y notarás un nuevo menú.

2) Verás un mensaje. Copia las siguientes lineas y pégalas en tu wp-config.php:
define( 'AUTH_SALT', 'XXXXXXXXXXXXXXXXXXXXX' );
define( 'LOGGED_IN_SALT', 'XXXXXXXXXXXXXXXXXXXXX' );
define( 'SECURE_AUTH_SALT', 'XXXXXXXXXXXXXXXXXXXXX' );

Obviamente, las XXX son de ejemplo. En tu caso, será una serie de caracteres que no debes editar, tan solo copiar y pegarlos.

3) Recarga nuevamente tu panel de administración, y notarás que se te ha cerrado la sesión, así que vuelve a iniciarla. Luego, verás en el mensaje “Thank you for Upgrading! Please visit the Upgrade Site page to update all your blogs.”. Haz click en el enlace “Upgrade Site”, se te llevará a otra página, haz click en el botón “Upgrade Site”, espera a que aparesca “All Done” y terminamos.

Desde ahora dispones de la función de múltiples blogs en tu sitio, pero ten cuidado y no lo uses en tu blog diario, ya que aún esta en desarrollo y puede provocar conflictos, de modo que te recomendamos activar esto solo en tu blog de pruebas para que puedas acostumbrarte poco a poco a esta nueva opción.

¿Como lo desactivo?

Muy simple. Cambia define ('MULTISITE', true); por define ('MULTISITE', false); y listo. Para activarla nuevamente, vuelve a ponerlo en true.

AVISO: esta publicación es de hace dos años o más. Si es un código o un plugin podría no funcionar en las últimas versiones de WordPress, y si es una noticia podría estar ya obsoleta. Luego no digas que no te hemos avisado.

Valora este artículo para mejorar la calidad del blog ...

Al hacer una valoración se recoge una cookie con la IP de tu dispositivo

FlojitoNo está malEstá bienMe ha servidoFantástico (1 votos, promedio: 5,00 de 5)
Cargando…

Autor: ejner

Ateo, padre, programador y amante de WordPress. Desde 2008, utilizo esta gran plataforma. Mi gurú es, como no, Fernando Tellado :D

Comparte esta entrada en
468 ad

Pin It on Pinterest

Share This